## ros-melodic-moveit-controller-manager-example 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_controller_manager_example)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  CATKIN_DEPENDS
    moveit_core
    roscpp
)

include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/moveit_controller_manager_example.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES moveit_controller_manager_example_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )

## ros-melodic-moveit-controller-manager-example 1.0.7

=== debian/changelog ===
ros-melodic-moveit-controller-manager-example (1.0.7-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.6-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.5-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.4-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.3-1stretch) stretch; urgency=high

  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.2-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.8-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.7-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.5-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.4-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.3-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.2-1stretch) stretch; urgency=high

  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, mike lautman

 -- Michael Görner <me@v4hn.de>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.1-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 25 May 2018 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.11-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 25 Dec 2017 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.10-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 09 Dec 2017 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.9-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Aug 2017 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.8-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Jun 2017 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.7-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 05 Jun 2017 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.6-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Apr 2017 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.5-1stretch) stretch; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Michael Görner <me@v4hn.de>  Wed, 08 Mar 2017 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.4-1stretch) stretch; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Michael Görner <me@v4hn.de>  Mon, 06 Feb 2017 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.3-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 16 Nov 2016 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.7-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 Jan 2016 07:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.6-1stretch) stretch; urgency=high

  * add one more demo for moveit controllers
  * Contributors: Ioan Sucan

 -- Michael Görner <me@v4hn.de>  Sun, 23 Mar 2014 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.5-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 30 Sep 2013 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.4-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 24 Sep 2013 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.3-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 23 Sep 2013 06:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.2-1stretch) stretch; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 13 Aug 2013 06:00:00 -0000



=== debian/control ===
Source: ros-melodic-moveit-controller-manager-example
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-controller-manager-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp
Description: An example controller manager plugin for MoveIt.
 This is not functional code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-controller-manager-example//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-controller-manager-example 1.0.11

=== debian/changelog ===
ros-melodic-moveit-controller-manager-example (1.0.11-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.10-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.9-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.8-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.7-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.6-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.5-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.4-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.3-1bionic) bionic; urgency=high

  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.2-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.8-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.7-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.5-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.4-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.3-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.2-1bionic) bionic; urgency=high

  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, mike lautman

 -- Michael Görner <me@v4hn.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.10.1-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.11-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 24 Dec 2017 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.10-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.9-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Aug 2017 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.8-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.7-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 04 Jun 2017 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.6-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 Apr 2017 22:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.5-1bionic) bionic; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Michael Görner <me@v4hn.de>  Tue, 07 Mar 2017 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.4-1bionic) bionic; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Michael Görner <me@v4hn.de>  Sun, 05 Feb 2017 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.9.3-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 15 Nov 2016 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.7-1bionic) bionic; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 Jan 2016 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.6-1bionic) bionic; urgency=high

  * add one more demo for moveit controllers
  * Contributors: Ioan Sucan

 -- Michael Görner <me@v4hn.de>  Sat, 22 Mar 2014 23:00:00 -0000

ros-melodic-moveit-controller-manager-example (0.5.5-1bionic) bionic; urgency=high





=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
